INSMOD(8)

NOM

insmod – Programme simple pour ajouter un module au noyau Linux

SYNOPSIS

insmod [OPTIONS][nom_fichier] [module options...]

DESCRIPTION

insmod est un programme simple pour ajouter un module au noyau. La plupart des utilisateurs préfèreront utiliser modprobe(8) à la place, qui est plus adapté et peut gérer les dépendances des modules.

Seuls les messages d’erreur les plus généralistes sont rapportés, car la tâche d’essayer de lier le module étant désormais réalisée à l’intérieur du noyau, la commande dmesg donne généralement plus d'informations sur les erreurs.

OPTIONS

-f, --force
    Cette option peut être extrèmement dangereuse : elle demande au noyau d'ignorer les versions de module et les champs vermagic lors du chargement. Avec cette option, vous pouvez charger des modules construits localement ou par des parties tierces, aussi cela peut engendrer une corruption de mémoire, un plantage du système et la perte des données.

-s, --syslog
    Envoyer les erreurs sur syslog au lieu de stderr.

-v, --verbose
    Afficher des messages sur ce que fait le système. Habituellement insmod n'affiche des messages que si quelque chose va mal.

-V, --version
    Afficher la version du programme et quitter.

-h, --help
    Afficher un message d'aide puis quitter.

COPYRIGHT

Cette page de manuel était originellement sous copyright 2002, Rusty Russell, IBM Corporation.

VOIR AUSSI

modprobe(8), rmmod(8), lsmod(8), modinfo(8), depmod(8)

BOGUES

Veuillez rapporter tout bogue au système de suivi des bogues de kmod directement à https://github.com/kmod-project/kmod/issues/ en indiquant la version utilisée, les étapes pour reproduire le bogue et le retour attendu.

AUTEURS

De nombreuses contributions proviennent de la liste de diffusion linux-modules <linux-modules@vger.kernel.org> et de Github. Si vous avez une copie de kmod.git lui-même, les sorties de git-shortlog(1) et de git-blame(1) vous indiquerons les auteurs de certaines parties du projet.

Lucas De Marchi <lucas.de.marchi@gmail.com> est le responsable actuel du projet.

TRADUCTION
La traduction française de cette page de manuel a été créée par bubu <bubub@no-log.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.